import {
  createTemplate
} from "./chunk-2X7VCELZ.js";

// templates/next-with-web3modal/_meta.ts
import fs from "fs-extra";
import pico from "picocolors";
import { default as prompts } from "prompts";
import path from "path";
var log = console.log;
var walletConnectProjectId;
var meta_default = createTemplate({
  name: "next-with-web3modal",
  title: "Next.js + Web3Modal",
  description: "Next.js wagmi project with Web3Modal included",
  hooks: {
    async afterValidate() {
      const errorMessage = "Project ID is required.";
      walletConnectProjectId = (await prompts({
        name: "walletConnectProjectId",
        message: `What is your WalletConnect Cloud Project ID?
${pico.blue(
          "Find it at: https://cloud.walletconnect.com/sign-in"
        )}
`,
        type: "text",
        validate(projectId) {
          if (!projectId)
            return errorMessage;
          return true;
        }
      })).walletConnectProjectId;
      if (!walletConnectProjectId)
        throw new Error(errorMessage);
    },
    async afterInstall({ targetPath }) {
      if (!walletConnectProjectId)
        return;
      const configPath = path.join(targetPath, "src", "wagmi.ts");
      const config = fs.readFileSync(configPath).toString();
      fs.writeFileSync(
        configPath,
        config.replace("<WALLET_CONNECT_PROJECT_ID>", walletConnectProjectId)
      );
      log(pico.green("\u2714"), "Added WalletConnect Project ID.");
      log();
    }
  }
});
export {
  meta_default as default
};
