import {
  injectProviders,
  rpcProviderWarning,
  selectProviders
} from "./chunk-2X7VCELZ.js";

// src/hooks/compose.ts
function compose(hooks) {
  var _a;
  const hooks_ = {};
  const hookStore = {};
  for (const hook of hooks) {
    for (const [name, fn] of Object.entries(hook)) {
      if (!hookStore[name])
        hookStore[name] = [];
      (_a = hookStore[name]) == null ? void 0 : _a.push(fn);
    }
  }
  for (const [name, fns] of Object.entries(hookStore)) {
    ;
    hooks_[name] = async (...args) => {
      for (const fn of fns) {
        await fn(...args);
      }
    };
  }
  return hooks_;
}

// src/hooks/selectAndInjectProviders.ts
function selectAndInjectProviders({
  envPrefix
}) {
  return {
    async afterValidate({ context }) {
      context.set(await selectProviders());
    },
    async beforeInstall({ context, targetPath }) {
      const { envVars, providerNames } = context.get();
      injectProviders({ envPrefix, envVars, providerNames, targetPath });
    },
    async afterSetup({ context }) {
      const { providerNames } = context.get();
      if (providerNames.length === 1 && providerNames[0] === "public") {
        rpcProviderWarning();
      }
    }
  };
}

export {
  compose,
  selectAndInjectProviders
};
